<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;



// Include PHPMailer library
require 'third_party/mailer/src/Exception.php';
require 'third_party/mailer/src/PHPMailer.php';
require 'third_party/mailer/src/SMTP.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Honeypot Check - If filled, reject submission
    if (!empty($_POST["honeypot"])) {
        error_log("Bot submission detected and blocked.");
        http_response_code(403); // Forbidden response
        exit;
    }

    // Sanitize inputs
    $name = htmlspecialchars($_POST["name"] ?? '');
    $mobile = htmlspecialchars($_POST["mobile"] ?? '');

    // Email settings
    $adminEmail = "tabish.crezvatic@gmail.com"; // Admin email to receive quote requests
    $subject = "New Request from $name";

    // Email Content
    $message = "
    <html>
    <head><title>New Request</title></head>
    <body>
        <h2>Quote Request Details</h2>
        <p><strong>Name:</strong> $name</p>
        <p><strong>Mobile:</strong> $mobile</p>
    </body>
    </html>";

    try {
        $mail = new PHPMailer(true);
        $mail->isSMTP();
        $mail->Host = 'smtp.gmail.com';
        $mail->SMTPAuth = true;
        $mail->Username = 'tabish.crezvatic@gmail.com';
        $mail->Password = 'mixw mtwl jlud leni';
        $mail->SMTPSecure = 'tls';
        $mail->Port = 587;

        // Sender info
        $mail->setFrom('youremail@gmail.com', 'DEMO');
        $mail->addReplyTo('youremail@gmail.com', 'DEMO');

        // Recipient (Admin)
        $mail->addAddress($adminEmail);

        // Email format
        $mail->isHTML(true);
        $mail->Subject = $subject;
        $mail->Body = $message;

        // Send email
        if ($mail->send()) {
            sendThankYouEmail($name, $mobile);
            header("Location: thankyou.html");
            exit;
        } else {
            echo json_encode(["status" => "error", "message" => "Failed to send email."]);
            exit;
        }

    } catch (Exception $e) {
        echo json_encode(["status" => "error", "message" => "Error: {$mail->ErrorInfo}"]);
    }
}


// Send Thank You Email to User
function sendThankYouEmail($name, $mobile)
{
    try {
        $mail = new PHPMailer(true);
        $mail->isSMTP();
        $mail->Host = 'smtp.gmail.com';
        $mail->SMTPAuth = true;
        // $mail->Username = 'tabish.crezvatic@gmail.com';
        $mail->Username = 'youremail@gmail.com';
        // $mail->Password = 'mixw mtwl jlud leni';
        $mail->Password = 'your app code';
        $mail->SMTPSecure = 'tls';
        $mail->Port = 587;

        // Sender Info
        $mail->setFrom('demo@demo.com', 'DEMO');
        $mail->addReplyTo('demo@demo.com', 'DEMO');

        // Recipient (User)
        $userEmail = "demo@demo.com"; // Replace this with dynamic email (if available)
        $mail->addAddress($userEmail);

        // Email Content
        $mail->isHTML(true);
        $mail->Subject = "Thank You for Your Request";
        $mail->Body = "
        <p>Dear $name,</p>
        <p>Thank you for reaching out to us. We have received your request and will get back to you soon.</p>
        <p>Best regards,<br>DEMO</p>";

        $mail->send();
    } catch (Exception $e) {
        error_log("Error sending thank you email: " . $e->getMessage());
    }
}
?>